# Function buildRelationPath

- buildRelationPath(
  sourcetable: string,
  path: { fkey?: string; inboundKey?: string; table: string }[],
  ): string

  convert a relation array back to string

  #### Parameters

  - sourcetable: string

    the first table (source)

  - path: { fkey?: string; inboundKey?: string; table: string }[]

    relation as path array

  #### Returns string

  relation syntax as string

  - Defined in relations/relation_helpers.ts:49